ports/96624: devel/pwlib doesn't build video plugin on ia64

Steve Ames steve at energistic.com
Mon May 1 20:00:41 UTC 2006


>Number:         96624
>Category:       ports
>Synopsis:       devel/pwlib doesn't build video plugin on ia64
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 01 20:00:39 GMT 2006
>Closed-Date:
>Last-Modified:
>Originator:     Steve Ames
>Release:        FreeBSD 6.1-RC i386
>Organization:
>Environment:
System: FreeBSD energistic.com 6.1-RC FreeBSD 6.1-RC #17: Tue Apr 25 12:55:32 EDT 2006 steve at energistic.com:/usr/obj/usr/src/sys/VV i386


	
>Description:
	devel/pwlib doesn't compile video plugin on ia64. This doesn't cause the port build
	to fail but it does mess up the pkg-plist (and of course means video doesn't work on
	ia64). The problem is that the ioctl_meteor.h header file on ia64 is not in the same
	spot as on i386. On i386 its in machine/ioctl_meteor.h (although thats mainly a 
	wrapper that includesdev/bktr/ioctl_meteor.h). On ia64 this wrapper doesn't exist.
	The configure script in the plugins directory for devel/pwlib was only checking
	machine/ . This patch makes it check machine/ioctl_meteor.h and dev/bktr/ioct_meteor.h

	This should fix the module detection and compilation on ia64 and should, as a side
	effect, fix pkg-plist on ia64.

>How-To-Repeat:
	build devel/pwlib on ia64 platform.
>Fix:

	Apply this patch: http://steve.energistic.com/h323-ports/pwlib-1.10-ia64.patch

	Included below for reference. Patch should be run from ports/devel/pwlib.


diff -ruN files/patch-plugins_configure pwlib/files/patch-plugins_configure
--- files/patch-plugins_configure	Wed Dec 31 19:00:00 1969
+++ files/patch-plugins_configure	Mon May  1 15:41:55 2006
@@ -0,0 +1,149 @@
+--- plugins/configure.bak	Mon May  1 15:40:23 2006
++++ plugins/configure	Mon May  1 15:40:35 2006
+@@ -4239,6 +4239,146 @@
+   BSDVIDEOHDR=1
+ fi
+ 
++  if test "${ac_cv_header_dev_bktr_ioctl_meteor_h+set}" = set; then
++  echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
++echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6
++if test "${ac_cv_header_dev_bktr_ioctl_meteor_h+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++fi
++echo "$as_me:$LINENO: result: $ac_cv_header_dev_bktr_ioctl_meteor_h" >&5
++echo "${ECHO_T}$ac_cv_header_dev_bktr_ioctl_meteor_h" >&6
++else
++  # Is the header compilable?
++echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h usability" >&5
++echo $ECHO_N "checking dev/bktr/ioctl_meteor.h usability... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++$ac_includes_default
++#include <dev/bktr/ioctl_meteor.h>
++_ACEOF
++rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_header_compiler=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_header_compiler=no
++fi
++rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
++echo "${ECHO_T}$ac_header_compiler" >&6
++
++# Is the header present?
++echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h presence" >&5
++echo $ECHO_N "checking dev/bktr/ioctl_meteor.h presence... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++#include <dev/bktr/ioctl_meteor.h>
++_ACEOF
++if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
++  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } >/dev/null; then
++  if test -s conftest.err; then
++    ac_cpp_err=$ac_c_preproc_warn_flag
++    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
++  else
++    ac_cpp_err=
++  fi
++else
++  ac_cpp_err=yes
++fi
++if test -z "$ac_cpp_err"; then
++  ac_header_preproc=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++  ac_header_preproc=no
++fi
++rm -f conftest.err conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
++echo "${ECHO_T}$ac_header_preproc" >&6
++
++# So?  What about this header?
++case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
++  yes:no: )
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
++    ac_header_preproc=yes
++    ;;
++  no:yes:* )
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&2;}
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h:     check for missing prerequisite headers?" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h:     check for missing prerequisite headers?" >&2;}
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&2;}
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h:     section \"Present But Cannot Be Compiled\"" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h:     section \"Present But Cannot Be Compiled\"" >&2;}
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
++    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
++echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------------ ##
++## Report this to the AC_PACKAGE_NAME lists.  ##
++## ------------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
++esac
++echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
++echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6
++if test "${ac_cv_header_dev_bktr_ioctl_meteor_h+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_cv_header_dev_bktr_ioctl_meteor_h=$ac_header_preproc
++fi
++echo "$as_me:$LINENO: result: $ac_cv_header_dev_bktr_ioctl_meteor_h" >&5
++echo "${ECHO_T}$ac_cv_header_dev_bktr_ioctl_meteor_h" >&6
++
++fi
++if test $ac_cv_header_dev_bktr_ioctl_meteor_h = yes; then
++  BSDVIDEOHDR=1
++fi
+ 
+   if test "${ac_cv_header_dev_ic_bt8xx_h+set}" = set; then
+   echo "$as_me:$LINENO: checking for dev/ic/bt8xx.h" >&5

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list